package com.oo.eye;

import android.text.TextUtils;

import com.oo.eye.bean.EyeHistroyBean;

/**
 * Created by xucon on 2017/12/22.
 */

public class EyeConfig {

	public static final String EYE_SETTING_KEY = "eye_setting_key";

	private boolean isNetData = false;

	private String name;

	private EyeHistroyBean initBean;

	private EyeHistroyBean cuurentBean;

	private static EyeConfig instance = new EyeConfig();

	private EyeConfig(){

	}

	public static EyeConfig getInstance(){
		return instance;
	}

	public boolean isNetData() {
		return isNetData;
	}

	public void setNetData(boolean netData) {
		isNetData = netData;
	}

	public String getName() {
		if(TextUtils.isEmpty(name)){
			return "游客";
		}
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public EyeHistroyBean getInitBean() {
		return initBean;
	}

	public void setInitBean(EyeHistroyBean initBean) {
		this.initBean = initBean;
	}

	public EyeHistroyBean getCuurentBean() {
		return cuurentBean;
	}

	public void setCuurentBean(EyeHistroyBean cuurentBean) {
		this.cuurentBean = cuurentBean;
	}
}
